Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.renderkit
Class ComponentVariables

    java.lang.Object
      org.ajax4jsf.renderkit.ComponentVariables

All Implemented Interfaces:
  java.io.Serializable

    public class ComponentVariables

extends java.lang.Object
implements java.io.Serializable

storing tempates variables

Version:
  $Revision: 1.1.2.2 $ $Date: 2007/02/28 17:01:01 $
Author:
  ayukhovich@exadel.com (latest modification by $Author: alexsmirnov $)
See Also:
  Serialized Form

Constructor Summary
`ComponentVariables()`

Method Summary
`protected void` | `addToValue(java.lang.String variableName, java.lang.Integer variable, java.lang.Object addValue)`
`void` | `addValueToVariable(java.lang.String variableName, java.lang.Object addValue)`
`java.lang.Object` | `getVariable(java.lang.String variableName)`
`void` | `setVariable(java.lang.String variableName, java.lang.Object variable)` setting variable

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComponentVariables

    public ComponentVariables()

Method Detail

### setVariable

    public void setVariable(java.lang.String variableName,
                            java.lang.Object variable)

  setting variable

  Parameters:
    `variableName` -
    `variable` -

### getVariable

    public java.lang.Object getVariable(java.lang.String variableName)

  Parameters:
    `variableName` -
  Returns:

### addValueToVariable

    public void addValueToVariable(java.lang.String variableName,
                                   java.lang.Object addValue)

  Parameters:
    `variableName` -
    `addValue` -

### addToValue

    protected void addToValue(java.lang.String variableName,
                              java.lang.Integer variable,
                              java.lang.Object addValue)

  Parameters:
    `variableName` -
    `variable` -
    `addValue` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.